diff --git a/dist/node/chunks/dep-79892de8.js b/dist/node/chunks/dep-79892de8.js
index 5fc674d93611b9cf05ca1fbbc6d6457070843193..528960cf4fc4e9f013c6c518fcbcaf136e1f236c 100644
--- a/dist/node/chunks/dep-79892de8.js
+++ b/dist/node/chunks/dep-79892de8.js
@@ -22471,7 +22471,8 @@ function webWorkerPlugin(config) {
                     // Using blob URL for SharedWorker results in multiple instances of a same worker
                     workerConstructor === 'Worker'
                         ? `${encodedJs}
-          const blob = typeof window !== "undefined" && window.Blob && new Blob([atob(encodedJs)], { type: "text/javascript;charset=utf-8" });
+          const base64decode = (ascii) => new TextDecoder().decode(Uint8Array.from(atob(ascii), c => c.charCodeAt(0)));
+          const blob = typeof window !== "undefined" && window.Blob && new Blob([base64decode(encodedJs)], { type: "text/javascript;charset=utf-8" });
           export default function WorkerWrapper() {
             let objURL;
             try {
